<?php

if (!class_exists('Aqa_Payment_Helper'))
{
	class Aqa_Payment_Helper
	{

		private $Pin = '';
		private $apiUrl = 'https://panel.aqayepardakht.ir/api/create/';

		public function __construct($Pin)
		{
			$this->Pin = trim($Pin);
		}

		public function paymentRequest($data)
		{
            $url = 'https://panel.aqayepardakht.ir/api/create/';
            $ch = curl_init($url);

            curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type'=>'application/x-www-form-urlencoded'));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $result = curl_exec($ch);
            $error = curl_error($ch);
            curl_close($ch);
            return $result;

		}

		public function redirect($auto_connect = false,$link)
		{
			if ($auto_connect === true) @header('location: '.$link);
			echo ('<p class="payment_module">در حال اتصال به درگاه پرداخت ...</p><form name="frmAqayepardakhtIrPayment" method="get" action="'.$link.'"></form>');
			if ($auto_connect === true) echo ('<script>document.frmAqayepardakhtIrPayment.submit();</script>');
		}

		public function paymentVerify($params, $amount)
		{
            $data = ['amount'=>$amount,'transid'=>$params['transid'], 'pin'=>Configuration::get('aqa_Pin')];
            $url = 'https://panel.aqayepardakht.ir/api/verify/';
            $ch = curl_init($url);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type'=>'application/x-www-form-urlencoded'));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $result = curl_exec($ch);
            $error = curl_error($ch);
            curl_close($ch);
            return $result;

		}

		public function getStatusByCode($code)
		{
			if ($code == '77') return 'لغو پرداخت توسط کاربر';
			if ($code == '88') return 'پرداخت ناموفق';
			if ($code == '99') return ' انصراف کاربر از پرداخت';
			if ($code == '100') return 'کاربر عملیات پرداخت را انجام داده است';
			return 'وضعیت غیر منتظره! کد : ' . $code;
		}

	}
}

?>